package atomfeed

import "fmt"

type CommonAttributes struct {
	Base                URI                   `xml:"base,attr,omitempty"`
	Lang                LanguageTag           `xml:"lang,attr,omitempty"`
	UndefinedAttributes []*ExtensionAttribute `xml:",any"`
}

func (c *CommonAttributes) Check() error {
	for i, e := range c.UndefinedAttributes {
		if err := e.Check(); err != nil {
			return fmt.Errorf("extension attribute %v of common attributes: %v", i, err)
		}
	}

	return nil
}
